eks-cluster-supported-version - AWS Config

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

eks-cluster-supported-version

检查 Amazon Elastic Kubernetes Service (EKS) 集群是否正在运行支持的 Kubernetes 版本。如果 EKS 集群正在运行不受支持的版本(小于参数“oldestVersionSupported”),则此规则为 NON_COMPLIANT。

标识符:EKS_CLUSTER_SUPPORTED_VERSION

资源类型: AWS::EKS::Cluster

触发器类型: 配置更改

AWS 区域:除亚太 AWS 地区(雅加达)、中东(阿联酋)、亚太地区(海得拉巴)、亚太地区(大阪)、亚太地区(墨尔本)、以色列(特拉维夫)、欧洲(西班牙)、欧洲(苏黎世)以外的所有支持区域

参数:

oldestVersionSupported
类型:字符串

AWS上支持的最旧版本的 Kubernetes 的值。

AWS CloudFormation 模板

要使用 AWS CloudFormation 模板创建 AWS Config 托管规则,请参阅使用 AWS CloudFormation 模板创建 AWS Config 托管规则